---
title: "CreateWhitelistWebhookDomainResponse"
url: "https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/faacd605-a777-49a9-8cab-b96eef9461ea/schemas/CreateWhitelistWebhookDomainResponse"
---

> Full API specification: https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/faacd605-a777-49a9-8cab-b96eef9461ea.md

# CreateWhitelistWebhookDomainResponse

New webhook domain details, containing the `id` attribute

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Notification Service - V1 APIs
  version: v1.0.0
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
components:
  schemas:
    CreateWhitelistWebhookDomainResponse:
      description: New webhook domain details, containing the `id` attribute
      type: object
      required:
        - webhookDomainId
        - webhookDomain
      properties:
        webhookDomainId:
          type: string
          format: uuid
          description: The webhook domain ID returned by the POST /webhook-domains endpoint
          example: b93d14a0-6073-442a-aa1f-57a51664671a
        webhookDomain:
          type: string
          description: The domain to be whitelisted
          example: example.com
```
